> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List registries

GET https://{tenant_name}.benchling.com/api/v2/registries

List registries

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/registry/list-registries

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `name` (string, optional) — Name of a registry. Restricts results to those with the specified name.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.

## Response

### 200

OK

- `registries` (list of Registry, optional)

## Types

### Registry

- `id` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime the Registry was last modified
- `name` (string, optional)
- `owner` (Organization, optional)

### Organization

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "registries": [
    {
      "id": "string",
      "modifiedAt": "2017-04-18T05:55:48.685345+00:00",
      "name": "string",
      "owner": {
        "handle": "string",
        "id": "string",
        "name": "string"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/registries"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/registries?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```